import axios from '@/common/services/axios-instance'

class FavoritesService {
  // 获取收藏夹树
  getFavoritesTree(params) {
    return axios({
      url: `api/framework/v1/oabookmarkfolder/bookmarkTree?type=${params}`,
      method: 'get',
    })
  }

  // 删除我的收藏
  deletedMyFavorites(params) {
    return axios({
      url: `api/framework/v1/page/oaBookmarkContent`,
      method: 'delete',
      params,
    })
  }
}

export default new FavoritesService()
